Bug 1022195 - Deployment Guide should make use of openshift_origin_node_servername.conf
Deployment Guide should make use of openshift_origin_node_servername.conf
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: brice
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 12:51 EDT by Stefanie Forrester
Modified: 2015-07-19 20:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 20635, Deployment Guide-null-1.2 Build Date: 06-08-2013 11:50:11 Topic ID: 20601-477529 [Latest]
Last Closed: 2014-01-05 23:54:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefanie Forrester 2013-10-22 12:51:16 EDT
Title: 6.7.8. Configuring Node Settings

Describe the issue:
The deployment guide lists this command to update ServerName in httpd:

sed -i -e "s/ServerName .*$/ServerName `hostname`/" \
 /etc/httpd/conf.d/000001_openshift_origin_node.conf

However, ServerName is no longer set in that file. It's set in:

/etc/httpd/conf.d/000001_openshift_origin_node_servername.conf

Suggestions for improvement:

Use sed on the openshift_origin_node_servername.conf instead of (or in addition to) the old one.

Additional information:

Using sed on the old file does update all of the 'ServerName' entries listed in that file, but those are commented out and not used by default.

Note You need to log in before you can comment on or make changes to this bug.